API ReferenceContracts

Get Contracts

GET
/v2/contracts

This API call allows you to get all the contracts based on the passed parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

createdAfter?|

Created after

Formatdate-time
createdBefore?|

Created before

Formatdate-time
modifiedAfter?|

Modified after

Formatdate-time
modifiedBefore?|

Modified before

Formatdate-time
batchSize?|

Size of the batch to be fetched

Formatint32
Range1 <= value <= 500
Default500
skip?|

Mentions how many contracts to skip

Formatint32
Range0 <= value
Default0
accountNumber?string

Client account number

Response Body

application/json

curl -X GET "https://example.com/v2/contracts"
{  "Records": [    {      "accountNumber": "XE1234",      "contractSource": "string",      "contractStatus": "QuoteRequired",      "contractType": "NotSpecified",      "dateCreated": "2019-08-24T14:15:22Z",      "identifier": {        "clientTransferNumber": "beeee5c6-4167-46fd-b021-d894c353541",        "contractNumber": "C11470263"      },      "lastModifiedAt": "2019-08-24T14:15:22Z",      "settlementStatus": "NotSettled",      "totalPayments": 3    }  ],  "TotalRecords": 1}
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Get help